#
# spec file for package libmowgli2
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmowgli2
%define lname	libmowgli-2-0
Summary:        A development framework for C (like GLib)
License:        ISC
Group:          Development/Libraries/C and C++
Version:        2.0.0.g185
Release:        5.4
Url:            http://atheme.org/projects/libmowgli.html

#DL-URL:	http://atheme.org/downloads/libmowgli-2.0.0.tar.gz
#Git-Clone:	git://github.com/atheme/libmowgli-2
#Snapshot:	libmowgli-2.0.0-185-g7790ffd
Source:         libmowgli-%version.tar.xz
Patch1:         platform.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libopenssl-devel
BuildRequires:  pkg-config
BuildRequires:  xz

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %lname
Summary:        Shared library from libmowgli v2
Group:          System/Libraries

%description -n %lname
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

This package holds the shared library from libmowgli v2.

%package devel
Summary:        The development files for libmowgli v2
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       glibc-devel

%description devel
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

This package holds the development files for libmowgli v2.

%prep
%setup -qn libmowgli-2
%patch -P 1 -p1

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi;
%configure
perl -i -pe 's{2\.0\.0}{%version}' *.pc
echo 'G185 { global: *; };' >mowgli2.sym
make %{?_smp_mflags} LDFLAGS="-Wl,--version-script=$PWD/mowgli2.sym"

%install
make install DESTDIR="%buildroot"

%post   -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libmowgli-2.so.0*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING doc/BOOST README
%_includedir/libmowgli-2
%_libdir/libmowgli-2.so
%_libdir/pkgconfig/libmowgli-2.pc

%changelog
* Wed Jul 23 2014 jengelh@inai.de
- Enable openssl support
- Set symbol versions on the library because the API did change
  upwards-compatibly
* Sun Jul 20 2014 jengelh@inai.de
- Update to snapshot 2.0.0.g185 required by atheme-services-7.1.0
  * Added a strndup implementation
  * Add method to set SO_REUSEADDR on vio sockets
  * eventloop: rename mowgli_eventloop_timer_t.when to
  mowgli_eventloop_timer_t.deadline
* Mon Mar  3 2014 jengelh@inai.de
- Update project URL
* Sun Mar  3 2013 schwab@suse.de
- platform.patch:
  Fix invalid cpp directive
* Mon Jun 11 2012 cfarrell@suse.com
- license update: ISC
* Thu May 31 2012 jengelh@inai.de
- Initial package for build.opensuse.org
- This mostly a rewrite of libmowgli, with a fresh history
